Subject: [PATCH] ARM: KVM: promotevfp_host pointer to generic host cpu context

From: [email-masked] (Marc Zyngier)
Date: Wed, 27 Mar 2013 20:25:10 +0100

On Tue, 26 Mar 2013 16:37:22 +0000, Marc Zyngier <[email-masked]>
wrote:
> We use the vfp_host pointer to store the host VFP context, should
> the guest start using VFP itself.
> 
> Actually, we can use this pointer in a more generic way to store
> CPU speficic data, and arm64 is using it to dump the whole host
> state before switching to the guest.
> 
> Simply rename the vfp_host field to host_cpu_context, and the
> corresponding type to kvm_cpu_context_t. No change in functionnality.
> 
> Signed-off-by: Marc Zyngier <[email-masked]>

[snip]

This patch is broken, as it misses one critical hunk in asm-offset.c.
I'll repost an updated version tomorrow.

        M.
-- 
Fast, cheap, reliable. Pick two.